Bug 1303542 - NewRpmDBFormat
Summary: NewRpmDBFormat
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact:
URL:
Whiteboard: ChangeAcceptedF24, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-01 09:13 UTC by Jan Kurik
Modified: 2019-08-29 18:55 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-29 18:55:11 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-02-01 09:13:51 UTC
This is a tracking bug for Change: NewRpmDBFormat
For more details, see: https://fedoraproject.org//wiki/Changes/NewRpmDBFormat

Change format of the RPM Database from Berkeley DB to RPM's own format.

Comment 1 Jesus M. Rodriguez 2016-02-18 15:09:20 UTC
Can you explain *why* we need to create our *own* format? My first inclination is that we should not be writing our own database format, but instead using a different one that's better maintained.

* look for something like RocksDB, or lmdb
* maintain Berkeley DB ourselves

Comment 2 Jan Kurik 2016-02-24 14:26:06 UTC
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.

Comment 3 Florian Festi 2016-02-26 14:33:06 UTC
Further reviews and discussions have turned up more things that still need fixing or being dealt with. As there already was some criticism that this feature is rushed we rather postpone the change of the format for one release and will put the support for the new format in F24 as a tech preview only.

Comment 4 Jan Kurik 2016-07-26 04:17:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Greg` 2016-08-24 01:45:57 UTC
is this Feature likely to make it for F25 ?

Comment 6 Jason Tibbitts 2016-09-30 22:11:18 UTC
Even if it doesn't, how does one access this feature as a "tech preview" that's in F24 and I assume is still there in F25?  As far as I can tell, our rpm package is built without the flag necessary to compile in the ndb code.

Comment 7 Petr Kubat 2017-01-11 14:32:22 UTC
I am wondering, what is the status of the new ndb format? Clearly not available yet in any Fedora release. Has it been postponed to F26 or to some other release?

Comment 8 Shawn Starr 2017-07-04 17:31:57 UTC
Any update on this?

Comment 9 Greg` 2017-07-09 22:38:54 UTC
(In reply to Shawn Starr from comment #8)
> Any update on this?

afaik an think RPM 4.14 will use NDB , whether it'll default to that i dunno . you may wanna read this https://fedoraproject.org/wiki/Changes/RPM-4.14

Comment 10 Fedora End Of Life 2017-11-16 18:36:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Shawn Starr 2017-11-16 20:03:16 UTC
Any update on this?

Comment 12 Petr Kubat 2017-11-28 11:23:49 UTC
Seems like the ability to use lmdb as a backend has been added to rpm upstream:

https://github.com/rpm-software-management/rpm/pull/291

Is the new custom format still planned for a future change or will lmdb (or some other backend) be used instead?

Comment 13 Fedora End Of Life 2018-02-20 15:27:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 14 Florian Festi 2019-04-26 15:46:55 UTC
Well, the lmdb backend was added under the assumption that lbdb would resolve the size limitation for keys. Unfortunately this has not happened and is probably not going to happen. We are currently evaluating alternatives.

Comment 15 Richard W.M. Jones 2019-04-26 15:48:54 UTC
To state the obvious, again: sqlite

Comment 16 Ben Cotton 2019-05-02 19:38:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-08-13 17:09:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 18 Ben Cotton 2019-08-13 19:23:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 19 Ben Cotton 2019-08-14 17:56:07 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 20 Jason Tibbitts 2019-08-14 18:26:26 UTC
Is this still bound to an active change?  I thought it was pretty much completely abandoned.  It certainly would be nice if RPM didn't use libdb but....

Comment 21 Ben Cotton 2019-08-29 18:55:11 UTC
Closing this tracking issue based on comment 14. I will reopen if this change is revived.


Note You need to log in before you can comment on or make changes to this bug.